commit 7dc4f720f57471d2eccefd87cdca54494cf75eb5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 26 16:55:15 2025 -0700

    xeyes 1.3.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 111f7d5384d38d5573a11bec9ff1761c1290df76
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 25 09:30:42 2025 -0700

    man page: fix warnings from `mandoc -T lint` and `groff -rCHECKSTYLE=10`
    
    mandoc: xeyes.1:44:4: WARNING: undefined escape, printing literally: \+
    mandoc: xeyes.1:51:4: WARNING: undefined escape, printing literally: \+
    mandoc: xeyes.1:1:13: WARNING: cannot parse date, using it verbatim: TH xeyes 1.3.0
    
    troff:xeyes.1:44: warning: escape character ignored before '+'
    troff:xeyes.1:51: warning: escape character ignored before '+'
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xeyes/-/merge_requests/13>

commit 931b738c1a35e3219b62f3a7934380dbbc80b78b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Mar 24 19:26:18 2025 -0700

    Improve man page formatting
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xeyes/-/merge_requests/12>

commit a2e23bb7c22fdf800e911c55e4e1b7ac68bba900
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 9 12:02:46 2025 -0700

    meson: Add option to build with meson
    
    Also updates the gitlab CI config to test both build types
    and compare the generated output/installed files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xeyes/-/merge_requests/11>

commit cedb75c8b1af43335b86c3d7eb04c27d362bdf3d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Dec 8 16:14:10 2024 -0800

    Cast Xlib XID types to xcb types
    
    Clears 5 clang warnings of the form:
    Eyes.c:252:27: warning: implicit conversion loses integer precision:
     'Window' (aka 'unsigned long') to 'xcb_drawable_t' (aka 'unsigned int')
     [-Wshorten-64-to-32]
                              XtWindow(w),
                              ^~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xeyes/-/merge_requests/10>

commit e28373d5d43913dd9fa915b15ca2888488136c14
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Dec 8 16:08:35 2024 -0800

    Add unused attribute to unused parameters of callback functions
    
    Clears 16 clang warnings of the form:
    Eyes.c:298:45: warning: unused parameter 'closure' [-Wunused-parameter]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xeyes/-/merge_requests/10>

commit b3a041822f36a2bc4c01b5a848a6db21329a8962
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 1 16:09:00 2024 -0700

    Fix 5 -Wuseless-cast warnings from gcc 14.1
    
    No need to cast things to the exact type they're already defined as being.
    
    Also fix up a bonus needless cast gcc didn't warn about (the argument
    to repaint_window can use the already-converted variable we've been
    using in the rest of the function).
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xeyes/-/merge_requests/9>

commit 8ef3f9e4ec1e75b24b84ab7ab3fb7a0e2b84b12d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 14 10:18:57 2024 -0700

    Fix -Wcalloc-transposed-args warnings
    
    From gcc 14.1:
    
    Eyes.c: In function ‘EyesConfigure’:
    Eyes.c:132:45: warning: ‘calloc’ sizes specified with ‘sizeof’ in the
     earlier argument and not in the later argument [-Wcalloc-transposed-args]
      132 |         EyeConfiguration *c = calloc(sizeof(EyeConfiguration), 1);
          |                                             ^~~~~~~~~~~~~~~~
    Eyes.c:132:45: note: earlier argument should specify number of elements,
     later size of each element
    
    Eyes.c: In function ‘Initialize’:
    Eyes.c:409:36: warning: ‘calloc’ sizes specified with ‘sizeof’ in the
     earlier argument and not in the later argument [-Wcalloc-transposed-args]
      409 |     TPoint *pupils = calloc(sizeof(TPoint), config->count);
          |                                    ^~~~~~
    Eyes.c:409:36: note: earlier argument should specify number of elements,
     later size of each element
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xeyes/-/merge_requests/8>

commit 637b948ec83fd61a8ee59a9d8ea9f363f74af0df
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 13 15:54:29 2023 -0700

    xeyes 1.3.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6f6c975d2cdc1f615f83576c9d1f828e1cdabda3
Author: Serge Bazanski <q3k@q3k.org>
Date:   Sun May 28 14:21:56 2023 +0200

    Implement multi-ocular support, add biblical example
    
    This removes the assumption that an xeyes instance displays just a pair
    of eyes, and instead allows future developers to implement different
    kinds of ocular layouts.
    
    Currently, the ocular layout system only allows for specifying offsets,
    but a future change might also make different parts of the eye geometry
    configurable: size of different elements, padding, etc.
    
    Signed-off-by: Serge Bazanski <q3k@q3k.org>

commit f30ef4e0f3e464f6304bdc85d28ebec0c2ba5e4f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Feb 10 11:51:01 2023 -0800

    Print which argument was unknown before giving usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e7a54da926969631340942c5f850dd196a0df97b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 4 14:35:07 2023 -0800

    Add -help & -version options
    
    Processed before the display is opened so they work even if a
    connection to the display can't be opened.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e38962ed83081fe00b99c8b8c3d82ba053f88d94
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c060e6d25349073b36c85f0d5f29ec197c80b6b9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 2 11:53:10 2022 -0700

    man page: remove out-of-date reference to X(7)
    
    The X(7) man page doesn't list any license information as this had claimed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ebbd57a53d3b3f50276fe5a0c3fcb101b686af25
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 9 13:17:22 2022 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bdd57f33b50f8735da8ae5f7cf4ca28588eef0f4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 11:51:36 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 700a55129d4d653a6ebc09cd3ff372d52912d137
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 11:51:33 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit adde23dc8724dc6f793b0c68143dc34818f7f6f4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 1 16:41:00 2021 -0700

    xeyes 1.2.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 09e50de77da82430cbada93cf58544af2441fd83
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 1 16:38:48 2021 -0700

    Remove redundant declaration of hypot() for SVR4 systems
    
    Fixes gcc warning:
    Eyes.c:54:15: warning: redundant redeclaration of ‘hypot’ [-Wredundant-decls]
     extern double hypot(double, double);
                   ^~~~~
    
    since it's already declared in <math.h>
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7517441ffa1aecb6f565217149762267d145e11e
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 23 08:55:53 2020 -0700

    Clean up compiler warnings
    
    Add (char *) casts to initializers in Xt structs.
    Remove unused variables.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 420c2d8517246c9e422739cadb7acb29e35a3bed
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Aug 7 12:17:24 2013 +0200

    Use XI2 raw events to notice when mouse moves [v2]
    
    v2:
            We only need Xi version 2.0, not 2.2
            Suggested-by: Peter Hutterer <peter.hutterer@who-t.net>
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3f2af30bd94ea3012bc1d1bde82f7c9a1c4dea27
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jul 26 18:46:45 2013 -0700

    Add support for the 'Present' extension. [v3]
    
    This makes updating the eyes nicely vblank synchronized.
    
    v2:
            Ensure extensions exist before calling query_version
    
            These calls add calls to xcb_get_extension_data before calling
            query_version calls, as those calls will mark the connection
            with an error if made against an X server without the
            extension present.
    
            Suggested-by: Uli Schlachter <psychon@znc.in>
    
    v3:
            check the 'present' field in the return from
            xcb_get_extension_data; the xcb_get_extension_data call will
            always succeed (save for out of memory), the only way to tell
            if the extension is supported in the target X server is to
            test the 'present' field in the query extension reply value.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 46dac260d384e034aaabd576d9b818d39f4821c6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:02:46 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7922b89288d463a29f742fbb48ab38b3ec485dff
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 21:56:11 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit abb6802af0d82c196fd94b8dc94549ba64754cb5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 9 17:24:55 2018 -0800

    xeyes 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d24c30281fd27d87dd0e05e784c9dfa71f3b13f9
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 31cd24d39d74158cef75c646c9aed7ed449c0bd9
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0b028f83e904762e89bea343828d86232f3c1cb5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 43022c77cc6f203f9c59f61da965d6adcdd213bf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:30:17 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1964577c05fc3ae622514c191d73df2a067a5333
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:30:16 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 717b348e12bdd1f3486709e9887b4cfcfa3fd6de
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 25 21:17:23 2013 -0700

    Mark usage as noreturn, as suggested by -Wmissing-noreturn
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ecbd7c66a53cab3964c30158973fc5d620d898cd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:56 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 96196e8c028f2ae72a9322a3b348326df10b8725
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:50 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 72e65631bb3d3bb4f65b5d841ca5d409dff07e20
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 24 23:28:41 2010 -0800

    xeyes 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cf26a29230cd3ccd79fc8c113dab12a47e244f7a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 17:33:52 2010 -0800

    Make usage message fit into 80-column lines
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f6a9256db2c463f73982c79378b563d92a6ff180
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 17:24:20 2010 -0800

    Remove trailing whitespace
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 906c634e85111deac379f0a8e664c933d31c97d8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 8 23:35:55 2010 -0800

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM sttaements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b24dce8f95cbed1a91a989a783eb1fdd36335bf1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 8 23:34:03 2010 -0800

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 34ea83ac16ce3bc55aedd9d8e73e3d4a04bafdcc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 8 23:31:22 2010 -0800

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a10b0c4b0445a2b4e12916ee0498db533fde86fd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 8 23:30:16 2010 -0800

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fcda75a70b29e1532a2a5f33058f3882bcad2642
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:49 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>

commit 2cbe4f83d4b24794679bda517573f907bb3de710
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 6 09:04:12 2010 -0700

    Fill in COPYING file with copyright notices from source code
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 96a593c4a221db4b31041e01053e907bedd60519
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 11 10:08:06 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a2c8bc28a57474cda77769292aabe1d9f73839a5
Author: James Cloos <cloos@jhcloos.com>
Date:   Fri Dec 18 09:44:56 2009 -0500

    xeyes 1.1.0
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit e134d57ac54b77269252b7f73f0e84d08ded5212
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:53 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 6e387e3329722dc9a09b481dbd15f441f39aa054
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 34ddbb1213cc4c061409cf6e3883683f6ed8dc92
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:24 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit d1c05b6bb985c00447b3eef598fc6c9b5a95134b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 3195a5dc486e6daa2ed9754ffd7d2e12da7906a2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 6054c8c98d25752492b57b8ad7fd1d3679d23369
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:20 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 59a5be39cdbddb070cd4e4758848fd08aa5910a4
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Oct 5 18:08:17 2009 -0400

    Bump version for second beta release.
    
    1.0.991 as first beta of 1.1.0.
    
    (The first beta was meant to be 1.0.90 rather than 1.0.99.
    Having gotten that wrong, switch to three-digit release numbers
    for subsequent betas.)

commit 610889785caf41146505458beccc5e3662c233db
Author: Dylan Simon <dylan@dylex.net>
Date:   Sun Oct 4 17:41:54 2009 -0400

    New -distance mapping option
    
    Distance mapping makes more efficient use of eye space.
    
    Signed-off-by: Dylan Simon <dylan@dylex.net>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit dc0f730a4a49f0e436a0a915955997b07bbf56e0
Author: Dylan Simon <dylan@dylex.net>
Date:   Sun Oct 4 17:39:07 2009 -0400

    Cleanup and simplify calculation and drawing
    
    By transforming the eyes’s space when calculating where to place the
    pupils, the code effectively assumed that EYE_HEIGHT == EYE_WIDTH.
    
    Make this assumption explicit and remove calculations which
    are therefore unnecessary.
    
    Clean up related code and, consequently, reduced redraw time
    and tearing.
    
    Signed-off-by: Dylan Simon <dylan@dylex.net>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 7cc3aa8ce30990e12e7b102f61dfcaaf8baa4d16
Author: Dylan Simon <dylan@dylex.net>
Date:   Sun Oct 4 17:30:23 2009 -0400

    Fix excessive redraw bug
    
    introduced by dbb8401026c421d64a2962e6ac6eb900f6dc141e
    
    Signed-off-by: Dylan Simon <dylan@dylex.net>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 6d9fdcfb076f4c261b071cc5c454c8b9ce560e68
Author: James Cloos <cloos@jhcloos.com>
Date:   Sat Oct 3 21:33:12 2009 -0400

    Bump version for beta release.
    
    1.0.99 as first beta of 1.1.0.
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 41f604009c3c7b4a3d05311faa649c8152494700
Author: James Cloos <cloos@jhcloos.com>
Date:   Sat Oct 3 21:28:59 2009 -0400

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit fd754c702c789f15ac1c0241e50dbb23aed354fc
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:23 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 5e825a140f4022b88dd7a1a20a9a01b653f1a95c
Author: Dylan Simon <dylan@dylex.net>
Date:   Sun Sep 27 14:44:35 2009 -0400

    Add xrender support
    
    Optionally draw all components (except shape) with xrender.
    Enabled by default.  Xlib rendering can be restored by
    "configure --without-xrender" or "xeyes +render".
    
    Signed-off-by: Dylan Simon <dylan@dylex.net>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit dbb8401026c421d64a2962e6ac6eb900f6dc141e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jul 17 19:21:39 2009 +1000

    Split drawing code into multiple functions.

commit 85f1441378b47c01aa68dd1479850c4cd1c8eb72
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jul 17 18:41:31 2009 +1000

    Remove unused NUM_EYES define.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e8bd6bcaf2cbe8306cc9a4821e8ea7a54a7e56a2
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jan 13 17:42:47 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and all gcc 4.3 and sparse warnings.

commit 7e3208d263050d0ad4502f7d7d7d64d7ec84a4ad
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Nov 27 22:46:49 2008 -0800

    AM_CFLAGS instead of xeyes_CFLAGS to shut automake up

commit 53488fad7ef10ff8c4835bcd497cd3980be38b7a
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:37:12 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit ab449267ea2fcae6261e57f42bfb54d2205c470f
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:51:21 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 07dfa4cb3ff0c9a94bea85db0e571fbb2cfe9161
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 19:24:45 2007 -0400

    Rename .cvsignore to .gitignore

commit ecb2095318d7233e8cfa3a58626c31f770be6ee7
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:49 2005 +0000

    Update package version for X11R7 release.

commit 3aae44d6b3c9332f73fbeacb39e9c928a2002164
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:43 2005 +0000

    Stub COPYING files

commit 41b039a4861154d82bdd3e6ea1b6697b16205b93
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:06 2005 +0000

    Update package version number for final X11R7 release candidate.

commit bc99738464950416207d43a4a4db970bd0563d56
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:21 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 266b7244e16ec2f82bdfb1bd346951761e0d27e2
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:20 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 4298a74b61a6aa8ac36b2d820e147e44ab0f5e32
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:41 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 69160791a057704e9a83794420d2349ae8bbbe1c
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:00 2005 +0000

    Another pass at .cvsignores for apps.

commit ba6118981be2d3a058a08cd1621113cc8e4a42f8
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:52 2005 +0000

    Add/improve .cvsignore files for apps.

commit 6772ce855c078b40635ad62f47da741c037e05c5
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:53 2005 +0000

    Update package version number for RC1 release.

commit 8001fd04f2d893e147b3b21fb4702c54e2919b1d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:22 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 1f61a27ce249d94b4be20db22cb84642a4d8a480
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:45 2005 +0000

    Use sed to fill in variables in man page

commit 79456c023b864e06b3ab3c6c93106772286b10ae
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:29 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit 8119360377d17461578cfb26e07c98df6bbe560d
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:32 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 9da2af8715937921c718733e309471f565614c99
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Jul 28 15:57:12 2005 +0000

    Fix distcheck for remaining apps

commit ae49bb18f5feab2b70e6faae046bb26058421d61
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:53 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit c903caebf875d510cbd1f720ccc02bd03250d7c6
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Fri Jul 1 18:07:18 2005 +0000

    Xeyes build system

commit 160c9f4f69bb2fd273c6223c7e4c6cda1523757f
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:47 2004 +0000

    Merging XORG-CURRENT into trunk

commit 37db892d918e67bb13652d48f76d3da4c67f5d58
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:20 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit e1eda60fd5b4634652d0505a13a2516515d8ff88
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:05 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit f8eb90ffc747cd45db069212031e1e41c797d378
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:24 2004 +0000

    readding XFree86's cvs IDs

commit cd8a87f77a8ee8b4d29c34cc2066a840964fe3b8
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:07 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit bd6d337e78c95b6cd3d831f6e6ad44afc6595520
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:12 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 2d36e110b8dbfa073bd533d7d0c720a4e51339a4
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:22 2003 +0000

    XFree86 4.3.0.1

commit dfc0320568e5237fff45b3f7fb6f332d1bf5e9bf
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:22 2003 +0000

    Initial revision
